xiphos (4.2.1+dfsg1-8build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:39:44 +1100

xiphos (4.2.1+dfsg1-8build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:58:38 +0000

xiphos (4.2.1+dfsg1-8build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 08:16:23 +0000

xiphos (4.2.1+dfsg1-8) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * Add patch to build with webkit2gtk 4.1 instead of 4.0

 -- Bastian Germann <bage@debian.org>  Tue, 23 Jan 2024 21:28:00 +0000

xiphos (4.2.1+dfsg1-7) unstable; urgency=medium

  * Team upload
  * d/watch: Scan xiphos.org downloads

 -- Bastian Germann <bage@debian.org>  Fri, 13 Jan 2023 16:15:51 +0100

xiphos (4.2.1+dfsg1-6) unstable; urgency=medium

  * Team upload
  * Install correct appstream-util for cross builds
  * Fix FTBFS: template with C linkage (Closes: #997107)
  * Change bage's email

  [ Debian Janitor ]
  * Apply multi-arch hints. + xiphos-data: Add Multi-Arch: foreign.

 -- Bastian Germann <bage@debian.org>  Sat, 23 Oct 2021 22:39:47 +0200

xiphos (4.2.1+dfsg1-5) unstable; urgency=medium

  * updated standards version
  * new upload to unstable with depends on sword 1.9

 -- Teus Benschop <teusbenschop@debian.org>  Sat, 28 Nov 2020 20:45:30 +0100

xiphos (4.2.1+dfsg1-4) experimental; urgency=medium

  * depend on sword 1.9

 -- Teus Benschop <teusbenschop@debian.org>  Sat, 21 Nov 2020 16:52:29 +0100

xiphos (4.2.1+dfsg1-3) unstable; urgency=medium

  [ Bastian Germann ]
  * Team upload.
  * Guarantee image display fallback (Closes: #969775)

  [ Teus Benschop ]
  * d/control: Fix uploader email

 -- Teus Benschop <teusbenschop@debian.org>  Sat, 21 Nov 2020 16:20:15 +0100

xiphos (4.2.1+dfsg1-2) unstable; urgency=medium

  [ Bastian Germann ]
  * d/changelog: Correct bug link
  * Don't compress .ogg files (Closes: #913128)

 -- Teus Benschop <teusbenschop@debian.org>  Sun, 12 Jul 2020 19:55:21 +0200

xiphos (4.2.1+dfsg1-1) unstable; urgency=medium

  [ Daniel Glassey ]
  * d/control remove Unit 193 from uploaders on his request

  [ Dimitri John Ledkov ]
  * Drop myself from uploaders.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use versioned copyright format URI.
  * Bump debhelper from old 11 to 12.

  [ Bastian Germann ]
  * Drop waf for next version
  * d/copyright: Drop undefined Upstream-Source
  * Replace gnome-doc-utils with yelp (Closes: #947542)
  * Replace waf with cmake (Closes: #922784)
  * Change Build-Depends to new version's requirements
  * Add patch: Override git version
  * Drop and refresh patches
  * Fix install locations
  * Update debhelper version (13)
  * Do not build epub
  * lintian: rules-requires-root-missing
  * lintian: debug-symbol-migration-possibly-complete
  * lintian: debian-rules-uses-as-needed-linker-flag
  * Set Standards-Version: 4.5.0
  * Don't install other md files
  * no shlibs on all pkg
  * d/copyright: Add missing info
  * d/control: Suggest festival
  * Add patch: CMake: Don't include win32
  * Disable postinst target

  [ Teus Benschop ]
  * New upstream version 4.2.1+dfsg1 (Closes: #964098)

 -- Teus Benschop <teusbenschop@debian.org>  Sat, 04 Jul 2020 16:44:06 +0200

xiphos (4.1.0.1+dfsg1-1) unstable; urgency=medium

  * fix hash size mismatch on upload
  * thanks to Yavor Doganov for the gconf patch: Closes: #912807

 -- Teus Benschop <teusjannette@gmail.com>  Mon, 03 Dec 2018 15:43:40 +0100

xiphos (4.1.0+dfsg1-3) unstable; urgency=high

  * thanks to Yavor Doganov for the gconf patch: Closes: #912807
  * d/control: drop dependency libgconf2
  * d/patches: remove gconf-2 from source

 -- Teus Benschop <teusjannette@gmail.com>  Sat, 17 Nov 2018 18:12:02 +0100

xiphos (4.1.0+dfsg1-2) unstable; urgency=medium

  * d/patches: reorganize

 -- Teus Benschop <teusjannette@gmail.com>  Sat, 17 Nov 2018 16:42:43 +0100

xiphos (4.1.0+dfsg1-1) unstable; urgency=medium

  [ Teus Benschop ]
  * restore repack-waf fixed by Daniel

  [ Daniel Glassey ]
  * should run on testing once it gets in, Closes: #913070
  * d/control: build depend on libsword 1.8.1+dfsg-8
  * regenerate dfsg1 source using repack-waf and import

 -- Daniel Glassey <wdg@debian.org>  Tue, 13 Nov 2018 10:31:54 +0700

xiphos (4.1.0+dfsg-1) experimental; urgency=high

  [ Teus Benschop ]
  * d/control: depends on libsword 1.8.1-6 or higher
  * d/patches: update applied patches
  * d/patches: disable webkit editor again

  [ Daniel Glassey ]
  * d/compat,control: update to debhelper 11
  * fix repack-waf for unstable

  [ Teus Benschop ]
  * d/watch d/dfsg.sh:fix dfsg creator
  * New upstream version 4.1.0+dfsg

 -- Teus Benschop <teusjannette@gmail.com>  Fri, 09 Nov 2018 20:00:24 +0100

xiphos (4.0.7.1-5) unstable; urgency=high

  * dh_missing fail on missing: more robust
  * list source files not packaged

 -- Teus Benschop <teusjannette@gmail.com>  Fri, 02 Nov 2018 14:20:31 +0100

xiphos (4.0.7.1-4) unstable; urgency=high

  * switch configure from webkitgtk to webkit2gtk
  * patch upstream source for webkit2

 -- Teus Benschop <teusjannette@gmail.com>  Sun, 28 Oct 2018 07:12:08 +0100

xiphos (4.0.7.1-3) unstable; urgency=high

  * no longer build-depend on libwebkitgtk-3.0-dev

 -- Teus Benschop <teusjannette@gmail.com>  Fri, 26 Oct 2018 20:24:50 +0200

xiphos (4.0.7.1-2) unstable; urgency=high

  [ Jeremy Bicha ]
  * Add build-without-scrollkeeper.patch
  * Drop obsolete Build-Depends on rarian-compat

 -- Teus Benschop <teusjannette@gmail.com>  Thu, 25 Oct 2018 11:25:12 +0200

xiphos (4.0.7.1-1) unstable; urgency=high

  * debian/control: Updated Build-Depends

 -- Teus Benschop <teusjannette@gmail.com>  Tue, 09 Oct 2018 19:33:51 +0200

xiphos (4.0.7+dfsg1-3) unstable; urgency=medium

  * debian/control: Updated maintainer email: Closes: #899795
  * debian/control: Updated Vcs-* for Salsa

 -- Teus Benschop <teusjannette@gmail.com>  Fri, 05 Oct 2018 20:19:10 +0200

xiphos (4.0.7+dfsg1-2) unstable; urgency=low

  * new upstream release
  * d/control: add uploader
  * d/control: update build dependencies
  * d/source/lintian-overrides: add override
  * d/control: update standards version
  * d/debian/xiphos.lintian-overrides: add override

 -- Teus Benschop <teusjannette@gmail.com>  Fri, 27 Oct 2017 12:00:00 +0200

xiphos (4.0.7+dfsg1-1) unstable; urgency=medium

  [ Unit 193 ]
  * New upstream version 4.0.7+dfsg1.
    - Work around a FTBFS by passing -z,muldefs to the linker.
      (Closes: #872916)
  * Bump Standards-Version to 4.1.0.
  * d/docs: README → README.md
  * d/compat, d/control: Bump debhelper compat to 10.
  * d/control:
    - xiphos: Add breaks on xiphos-data due to file move.
    - Drop the xiphos-dbg package.
    - Sort uploaders.
  * d/repack-waf, d/rules, d/watch:
    - Switch from get-orig-source target to repack script for waf.
  * d/repack-waf: Remove win32/ as well.
  * d/rules:
    - Migrate to dbgsym packages.
    - Move from dh_install --list-missing to dh_missing --list-missing.
  * d/watch: Update to use GH releases.
  * d/xiphos(,-data).install: Move xiphos.appdata.xml to the right package.

  [ Dominique Corbex ]
  * simplifying d/rules:
    - No longer export BUILDFLAGS.
    - Don't include /usr/share/dpkg/buildflags.mk
  * Lintian cleanup:
    - Bump Standards-Version to 3.9.8.
    - d/rules: add hardening options
    - d/control: Securing Vcs-Git URL
  * d/xiphos.manpages: Install new upstream manpage for xiphos-nav.

 -- Unit 193 <unit193@ubuntu.com>  Sat, 16 Sep 2017 10:11:37 -0400

xiphos (4.0.4+dfsg1-1) unstable; urgency=medium

  [ Unit 193 ]
  * New upstream release. (Closes: #783556)
    - Fixes many GTK3 incompatibilities. (Closes: #770713, #769940)
  * Bump Standards-Version to 3.9.6.
  * wrap-and-sort.
  * d/control:
    - Drop gsettings-desktop-schemas-dev | gconf2-common, and libgtkhtml*
      Closes: #799018
    - Add docbook-utils, libbiblesync-dev, and libgtk-3-dev.
    - Bump libsword-dev min dep to 1.7.3.
    - Add myself to uploaders.
  * d/rules:
    - During repack, also remove build-win32/ and debian/
    - Remove the builddeb override, not needed.
    - Install upstream changelog.
    - Enable --verbose build.
    - Pass --enable-webkit-editor, --gtk=3 and --debug-level=release.
    - Set DEB_LDFLAGS_MAINT_APPEND to only link as needed.
    - Don't remove src/examples/ipc-interface.xml in the cleaning stage.
  * d/Debian, d/clean, d/README.*: Drop.
  * d/source.lintian-overrides: Remove debian-watch-file-should-mangle-version.
  * d/watch: Update to find new releases, and filter out testing releases.
  * d/xiphos.install: Install usr/bin/xiphos-nav
  * d/xiphos-data.install: Install xiphos.appdata.xml.

  [ Daniel Glassey ]
  * d/control: Vcs now pkg-crosswire git
               add myself as uploader

 -- Unit 193 <unit193@ubuntu.com>  Mon, 14 Sep 2015 17:16:35 -0400

xiphos (3.2.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version.
  * Switch uscan to sf.net redirector.
  * Unpack waf in get-orig-source target.
  * Bump to debhelper 9.
  * Add uuid-dev build-dep.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 12 Jul 2014 17:08:46 +0100

xiphos (3.1.5+dfsg-1) unstable; urgency=low

  [ Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com> ]
  * New upstream release.
  * Build using webkit backend
  * Contains unpacked source for waf binary (Closes: #654511)
  * Update debian/copyright to latest specification

 -- Dmitrijs Ledkovs <xnox@debian.org>  Sun, 11 Mar 2012 18:43:32 +0000

xiphos (3.1.4-3) unstable; urgency=low

  [ Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com> ]
  * Drop xulrunner, use gtkhtml instead. (Closes: #631049) (LP: #756201)
  * Drop quilt dependency (daily ppa converts 3.0 quilt format to 3.0 native)
  * Bump policy to 3.9.2, no changes required.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Sat, 25 Jun 2011 00:18:28 +0100

xiphos (3.1.4-2) unstable; urgency=low

  [ Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com ]
  * Release to unstable
  * Simplify and reduce logic in debian/rules.
  * Drop gnomesword package now that squeeze is released
  * Add dependency (renamed) libgtkhtml-editor-3.14-dev (Closes: #613971)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 29 Nov 2010 22:58:32 +0000

xiphos (3.1.4-1) experimental; urgency=low

  [ Jonathan Marsden ]
  * New upstream release 3.1.4
  * Removed debian/patch/* since the one patch was included upstream.
  * Bumped Standards-Version to 3.9.1 (no changes required).
  * debian/README.Debian: Corrected spelling and reworded for clarity.
  * debian/control: Add Jonathan Marsden back into Uploaders.

  [ Dmitrijs Ledkovs ]
  * Added local options dpkg-source to unapply patches and fail on
    upstream source changes (ignoring false positives).
  * Added bzr-builddeb hook to generate source-format before build. If you
    are not using bzr-builddeb, you must run "./debian/rules clean" before
    building.
  * patches/xul-2.0.patch: bump UPPER_RANGE to allow running against xul20.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 25 Nov 2010 21:26:48 +0000

xiphos (3.1.3-3) unstable; urgency=low

  * Fix FTBFS on hppa (Closes: #582904)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 24 May 2010 13:21:33 +0000

xiphos (3.1.3-2) unstable; urgency=low

  * Fixing Intrepid->Karmic builds. It was a perl bug.
  * Added debug package
  * Manually adding xulrunner dependency when dh_xulrunner is not available.
  * Lzma compressed debs when version has ~ (e.g. ppa)
  * Source format 3.0 (quilt) official, 1.0 ppas
  * Keeping XDG desktop file & icon in arch package to appear in appinstall-data
  * Cleaned up build-dependencies
  * Rebuild to pick up new gtkhtml dependency (Closes: #582169)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Sat, 03 Apr 2010 07:52:25 +0000

xiphos (3.1.3-1) unstable; urgency=low

  * New upstream release:
    + Bugfix only
    + Compatible with xulrunner 1.9.2
    + Update translations

  * Revert changes introduced in 3.1.2-1ubuntu1. Thank you Chris Coulson
    for temporary fix.
  * debian/xiphos.1 - spelling mistake
  * waf is now default buildsystem
  * help is now licensed under GPL
  * Bumped standards version no changes required
  * Changed email to @ubuntu.com

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 22 Mar 2010 18:15:54 +0000

xiphos (3.1.2-1ubuntu1) lucid; urgency=low

  * debian/patches/xul192-workaround.patch:
    - Ensure that we don't load the 1.9.2 GRE if it is installed, as
      1.9.2 makes xiphos unusable at the moment. This is a temporary
      measure until the new xulrunner behaviour is understood
  * debian/control:
    - Explicitly depend xulrunner-1.9.1
  * debian/rules:
    - Don't call dh_xulrunner to automatically populate the binary depends.
      This is known to be broken in xulrunner-1.9.1 (it adds an incorrectly
      versioned dependency). We add it manually instead

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 12 Mar 2010 12:12:23 +0000

xiphos (3.1.2-1build1) lucid; urgency=low

  * No source change rebuild against xulrunner-1.9.2 (LP: #536877)

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 28 Feb 2010 05:55:36 -0600

xiphos (3.1.2-1) unstable; urgency=low

  * New Upstream Release
  * Thank you Mike Hommey <glandium@debian.org> for NMU
  * Refreshed patches, Dropped documentation license patch-out
  * Run dh_xulrunner if available
  * Refreshed build-depends (+libgfs +libdbus-glib -libmagick++)
  * Added alternative xulrunner-1.9.1-dev and xulrunner-1.9-dev for 8.04, 8.10.
  * Added omf and icon files
  * Removed all patches
  * Backported PL and HU translations
  * Added waf build system to be anabled in future releases & ppa

 -- Dmitrijs Ledkovs <dmitrij.ledkov@gmail.com>  Wed, 13 Jan 2010 23:27:01 +0000

xiphos (3.1.1-2.1) unstable; urgency=low

  * Non-maintainer upload for transition to xulrunner 1.9.1.
    (Closes: #548682)
  * debian/rules: Use dh_xulrunner
  * debian/control:
    - Build-depend on a xulrunner-dev that provides dh_xulrunner.
    - Build-depend on libglade2-dev. (Closes: #549788)
    - Don't build-depend on gnome-spell (Closes: #549084)
  * debian/patches/gre_version.patch: Tighten the GREVersionRange.
  * debian/patches/series: Added gre_version.patch.
  * Rebuilding will get the proper libgtkhtml-editor0 dependencies.
    (Closes: #550301)
  * Getting proper dependencies from dh_xulrunner, and tightening
    GREVersionRange should avoid segfault at startup. (Closes: #550041)

 -- Mike Hommey <glandium@debian.org>  Sat, 10 Oct 2009 18:49:57 +0200

xiphos (3.1.1-2) unstable; urgency=high

  * debian/control:
    - Re-add "Provides: sword-frontend"
    - Add "Suggests: sword-text"
    - Xiphos depends on source-version xiphos-data (thanks Matthew Talbert)
    - Bumped debhelper version to >= 7.0.50~
    - Bumped standards version to 3.8.3

  * debian/README.source:
    - New file. Describing standard quilt

 -- Dmitrijs Ledkovs <dmitrij.ledkov@gmail.com>  Mon, 24 Aug 2009 23:32:53 +0000

xiphos (3.1.1-1) unstable; urgency=low

  * New upstream release (bugfix)

  * debian/copyright updates:
    - help/* is GFDL and referencing license file as per policy 3.8.2
    - updated copyright holders (Gnomesword -> Xiphos)

  * debian/control:
    - Bumped standards version (Changed debian/copyright as above)
    - Updated VCS-Bzr field to point to a working URL
    - Fixed typo in debian/control (Closes: #539190)
    - Updated extended description of xiphos package (Closes: #539880)
    - Significantly improved wording of all descriptions
    - Added Conflicts: xiphos-svn - upstream deb package name for svn builds

 -- Dmitrijs Ledkovs <dmitrij.ledkov@gmail.com>  Wed, 12 Aug 2009 19:21:05 +0000

xiphos (3.1-1) unstable; urgency=low

  * New upstream release. (LP: #331313)
    - Norwegian + Welsh translations;
    - improvements to journal/prayerlist management.
    - many bookmark improvements: multi-verse bookmarks; saving search
    results as bookmarks.
    - better (and fixed) image resize display.
    - vastly improved passage exporter.
    - history management updates and fixes.
    - Fixed crashes sometimes on clicking on words in the text (LP: #379003)
    - Fixed crashes on focus click (LP: #346942)
    - Fixed no easy way to jump to search results (LP: #241577)
    - Fixed dictionaries not functioning (LP: #164152)
  * Added patches:
    - Remove extra GPL license from documentation
    - Remove obsolete files from POTFILES
    - Add generated desktop.in to POTFILES.skip
  * Bumped build-time requirements on sword & gtkhtml
  * Switched to dh7 from cdbs
  * Build Dependecies
    - Add libgtkhtml-editor-dev | gtkhtml3.14 (later for Hardy compatibility)
    - Add xulrunner-dev | libxul-dev (later for Hardy compatibility)
    - Add libcurl4-gnutls-dev, libicu and libcluecene
    - Add version dependency for debhelper (>= 7)
    - Switched to unversioned libmagick++-dev dependency
    - Removed chrpath & cdbs dependency
  * Run-time Dependecies
    - Add libgtkhtml-editor0 | gtkhtml3.14 (for Hardy) (LP: #150425)
  * Kept only myself in the uploaders field
  * Removed debian menu entry in favor of desktop file

 -- Dmitrijs Ledkovs <dmitrij.ledkov@gmail.com>  Fri, 05 Jun 2009 23:50:35 +0000

xiphos (3.0.1-1) experimental; urgency=low

  * New upstream release (Closes: #463207)
  * New upstream name - previously known as GnomeSword
  * Thanks Kumar Appaiah for NMU
  * Thanks Gnomesword Developer Team for keeping this package up-to date
  * Added missing depedency on gtkhtml thanks upstream
  * Removed dependency on any bible texts (Closes: #443442)
  * Split an arch-idependent package (xiphos-data)
  * Refreshed patches, to be forwarded upstream
  * Added checks for missing files
  * Packaged missing docs:
    - News, Readme, Release notes, TODO
    - Xiphos.ogg - pronounciation of xiphos
  * Removed prefix override (let CDBS set it)
  * Changed dependency from libxul-dev (only available in old stable) to
    xulrunner-dev
  * Check compliants and bumped standards version to 3.8.1

 -- Dmitrijs Ledkovs <dmitrij.ledkov@gmail.com>  Sat, 18 Apr 2009 21:44:10 +0000

gnomesword (2.4.0-1) unstable; urgency=low

  * Non-maintainer upload.
  * 2.4.0 release (2008-09-20)

 -- The Gnomesword Developer Team <gnomesword-developers@lists.sourceforge.net>  Sat, 20 Sep 2008 12:00:00 +0200

gnomesword (2.3.6-1) unstable; urgency=low

  * Non-maintainer upload.
  * 2.3.6 release (2008-08-02)

 -- The Gnomesword Developer Team <gnomesword-developers@lists.sourceforge.net>  Sat, 02 Aug 2008 12:00:00 +0200

gnomesword (2.3.5-1) unstable; urgency=low

  * Non-maintainer upload.
  * 2.3.5 release (2008-07-03)

 -- The Gnomesword Developer Team <gnomesword-developers@lists.sourceforge.net>  Thu, 03 Jul 2008 09:54:07 +0200

gnomesword (2.2.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/gcc_43.diff:
    + Import missing include fixes from Barry deFreese to fix FTBFS
      with g++ 4.3. (Closes: #461959)

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Tue, 25 Mar 2008 08:07:48 +0530

gnomesword (2.2.3-1) unstable; urgency=low

  * New upstream version, Closes: #421492
  * Build depend on libsword-dev >= 1.5.9-5 for curl transition
  * fix typo gomesword in gnomesword2.1
  * patch to build with gcc 4.3, Closes: #417497
      Thanks to Martin Michmayer <tbm@debian.org>

 -- Daniel Glassey <wdg@debian.org>  Fri, 18 May 2007 11:28:59 -0600

gnomesword (2.2.0-1) unstable; urgency=low

  * New stable upstream release
  * removed patch window_title.diff - included upstream
  * removed patch strongs_search.diff - included upsteam
  * Searching for Strongs numbers is possible now and is
      documented in the help, Closes: #331175

 -- Daniel Glassey <wdg@debian.org>  Wed, 10 Jan 2007 16:27:32 +0000

gnomesword (2.1.9-1) unstable; urgency=low

  * New upstream release
  * which depends on sword 1.5.9, Closes: #400179
  * debian/control: standards version 3.7.2.2 (no changes)
  * debian/copyright: mention license of documentation
	     GFDL with no invariant sections, no front-cover
			 texts, no back-cover texts.
  * left-clicking on word in RST does not crash, Closes: #329243
  * assertion problem resolved Closes: #253447
  * Bookmarks have been fixed, Closes: #331177
  * Explicitly depend on gtkhtml3.8, Closes: #372732
    (Thanks to Salvatore Bonaccorso for spotting that one)
  * Add man page from the gnomesword team, Closes: #123423
  * patch window_title.diff as partial fix for bug 259947
  * patch strongs_search.diff makes tooltip on attributes describe
      correctly how to search for strongs numbers. However, it still
      needs to be documented properly before I close bug 331175.

 -- Daniel Glassey <wdg@debian.org>  Thu, 23 Nov 2006 10:43:52 +0000

gnomesword (2.1.7-2) unstable; urgency=low

  * Don't build as native package, hmph
  * get the bug number below right this time
  * Acknowledge NMU, Closes: #352905
    Sorry Matej for not acknowledging this before and not noticing the patch
    adding the changelog lines in
    adding the patch back in and passing it upstream

 -- Daniel Glassey <wdg@debian.org>  Sun, 21 May 2006 00:16:44 -0500

gnomesword (2.1.7-1) unstable; urgency=low

  * New upstream release
  * Acknowledge NMU, Closes: #352902
    Sorry Matej for not acknowledging this before and not noticing the patch
    adding the changelog lines in
    adding the patch back in and passing it upstream

 -- Daniel Glassey <wdg@debian.org>  Sat, 20 May 2006 23:23:39 -0500

gnomesword (2.1.6-1) unstable; urgency=low

  * New upstream release
  * debian/copyright: year 2006

 -- Daniel Glassey <wdg@debian.org>  Thu, 13 Apr 2006 17:56:55 +0100

gnomesword (2.1.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/handle_unset_lang.diff: Don't crash if LANG is not set
    in the environment.  Closes: #352905.

 -- Matej Vela <vela@debian.org>  Thu, 23 Feb 2006 09:37:09 +0100

gnomesword (2.1.5-1) unstable; urgency=low

  * New upstream dev release
  * Builds with gtkhtml3.8 so change build deps and conflicts to
    use that
  * change description to say parallel instead of
    interlinear, Closes: #332664

 -- Daniel Glassey <wdg@debian.org>  Wed, 14 Dec 2005 18:45:18 +0000

gnomesword (2.1.2-5) unstable; urgency=low

  * Rebuild against transitioned libsword-dev >= 1.5.8-7
  * Build-dep on libgtkhtml3.6-dev
  * gnomesword can't build with gtkhtml3.8 yet
    so Build-conflict on libgtkhtml3.2-dev, libgtkhtml3.8-dev, Closes: #328571
  * Don't autogenerate debian/control using cdbs
  * Fix the autogenerated build-deps

 -- Daniel Glassey <wdg@debian.org>  Sat, 10 Dec 2005 20:26:42 +0000

gnomesword (2.1.2-4) unstable; urgency=low

  * debian/rules: touch the tree in the configure step (Closes: #327391)

 -- Daniel Glassey <wdg@debian.org>  Fri,  9 Sep 2005 21:49:43 +0100

gnomesword (2.1.2-3) unstable; urgency=low

  * sword now has shlibs right (Closes: #323116)
       Build-deps now on libsword-dev 1.5.8-3
  * patch to build system to update macros (Closes: #325061)
  * debian/menu: fix unquoted strings
  * convert the icon to an xpm
  * debian/copyright: fix the dh_make boilerplate
  * make help files non-executable

 -- Daniel Glassey <wdg@debian.org>  Wed,  7 Sep 2005 17:44:53 +0100

gnomesword (2.1.2-2) unstable; urgency=low

  * Oh, sorry, it's supposed to be built with gtkhtml3.6 (Closes: #305997)

 -- Daniel Glassey <wdg@debian.org>  Fri, 12 Aug 2005 20:08:16 +0100

gnomesword (2.1.2-1) unstable; urgency=low

  * New upstream version
     It is an "unstable" release and requires sword 1.5.8
  * debian/control: It's now built using gtkhtml3.2 (Closes: #305997)
  * The woody bugs are fixed with the removal of the package (Closes: #146326)
  * Change menu section to Apps/Tools to be consistent with BibleTime
  * Now using cdbs

 -- Daniel Glassey <wdg@debian.org>  Thu, 11 Aug 2005 15:33:08 +0100

gnomesword (2.0.0-6) unstable; urgency=high

  * Urgency high for sarge
  * fix for ppc hang, Closes: #244427
       thanks to Patrice Nerf and Michael Hunt
  * debian/rules: add configure target
      in it touch autotools files so it doesn't try to run them when
      bfs, Closes: #276113

 -- Daniel Glassey <wdg@debian.org>  Wed, 13 Oct 2004 16:14:40 +0100

gnomesword (2.0.0-5) unstable; urgency=low

  * another rebuild - this time for gcrypt/gnutls changes, Closes: #263692

 -- Daniel Glassey <wdg@debian.org>  Thu,  5 Aug 2004 15:12:11 +0100

gnomesword (2.0.0-4) unstable; urgency=low

  * really remove the DISABLE_DEPRECATED defines

 -- Daniel Glassey <wdg@debian.org>  Thu, 15 Jul 2004 10:35:10 +0100

gnomesword (2.0.0-3) unstable; urgency=low

  * Rebuild because of libgal and libgtkhtml, Closes: #245662, #244616

 -- Daniel Glassey <wdg@debian.org>  Sat, 24 Apr 2004 19:26:23 +0100

gnomesword (2.0.0-2) unstable; urgency=low

  * Brown paper typo in description s/sudy/study/

 -- Daniel Glassey <wdg@debian.org>  Thu, 15 Jan 2004 18:57:09 +0000

gnomesword (2.0.0-1) unstable; urgency=low

  * New upstream version (yes, 1.0 was skipped in favour of 2.0
     for gnome2), Closes: #225644
  * Improve the debian/copyright file
  * remove the useless manpage, Closes: #164664
  * package is being built for unstable using pbuilder, so once it is
      ready it will build, Closes: #162866
  * Added features to the package description to make it a bit more
      descriptive, Closes: #209531

 -- Daniel Glassey <wdg@debian.org>  Fri,  9 Jan 2004 18:05:03 +0000

gnomesword (0.7.9-2) unstable; urgency=low

  * Need to build depend on >= libsword-dev 1.5.5-3 to catch icu
     stuff, Closes: #189677

 -- Daniel Glassey <wdg@debian.org>  Sat, 19 Apr 2003 15:53:44 +0100

gnomesword (0.7.9-1) unstable; urgency=low

  * New upstream release
  * add libzvt-dev to build depends
  * change section to gnome
  * New version doesn't crash on startup, Closes: #159693
  * New version is more stable, Closes: #169319
  * Use autotools-dev to get right config.*

 -- Daniel Glassey <wdg@debian.org>  Tue, 25 Mar 2003 21:04:42 +0000

gnomesword (0.7.1-4) unstable; urgency=high

  * SWORD_CPPFLAGS should not contain -g
  * This ought to allow building on alpha, Closes: #143416

 -- Daniel Glassey <wdg@debian.org>  Mon, 22 Apr 2002 11:27:38 +0100

gnomesword (0.7.1-3) unstable; urgency=high

  * use AM_CXXFLAGS not  CXXFLAGS in src/Makefile so that CXXFLAGS
     will work for alpha
  * rebuild on arm
  * build depend on sword 1.5.3-3

 -- Daniel Glassey <wdg@debian.org>  Fri, 19 Apr 2002 10:03:04 +0100

gnomesword (0.7.1-2) unstable; urgency=high

  * Hopefully I've learnt my lesson this time, sorry!
      make sure it builds with gcc-3.0, Closes: #143214
  * also add the compiler flag workaround to compile on alpha
      in debian/rules

 -- Daniel Glassey <wdg@debian.org>  Wed, 17 Apr 2002 00:57:09 +0100

gnomesword (0.7.1-1) unstable; urgency=high

  * New upstream release
  * add a patch to stop occasional segfaults when you press option
       buttons

 -- Daniel Glassey <wdg@debian.org>  Tue,  9 Apr 2002 23:50:51 +0100

gnomesword (0.7.0-1) unstable; urgency=low

  * New upstream version using sword 1.5.3
  * build-depend on libbonobo-dev

 -- Daniel Glassey <wdg@debian.org>  Tue,  9 Apr 2002 00:29:43 +0100

gnomesword (0.5.2c-8) unstable; urgency=medium

  * ok, just use ispell | aspell since the autobuilders can't cope
      with alternative build deps. attempting to get into testing
      before the freeze

 -- Daniel Glassey <wdg@debian.org>  Sat, 16 Feb 2002 22:36:21 +0000

gnomesword (0.5.2c-7) unstable; urgency=low

  * Wait to upload it until the new sword gets in to try and be nicer to
     buildds, sorry
  * got appropriate spell build deps from debian-mentors - see below
  * build dep on sword 1.5.2-9
  * aspell | ispell again, buildds for mips and mipsel must just
      have failed to notice the change in dependency for 0.5.2c-4
      Closes: #132765

 -- Daniel Glassey <wdg@debian.org>  Mon,  4 Feb 2002 23:16:52 +0000

gnomesword (0.5.2c-6) unstable; urgency=low

  * Try again with mips, mipsel build depends
  * rebuild against autotooled sword 1.5.2-8
  * build with newer gal libs etc

 -- Daniel Glassey <wdg@debian.org>  Fri, 25 Jan 2002 00:22:11 +0000

gnomesword (0.5.2c-5) unstable; urgency=low

  * change build depends to aspell [!mips !mipsel], ispell [mips mipsel]

 -- Daniel Glassey <wdg@debian.org>  Thu,  3 Jan 2002 20:38:46 +0000

gnomesword (0.5.2c-4) unstable; urgency=low

  * Bump standards version to 3.5.6.0
  * Build depend on aspell | ispell since aspell isn't built for mips or mipsel

 -- Daniel Glassey <wdg@debian.org>  Wed, 19 Dec 2001 19:12:03 +0000

gnomesword (0.5.2c-3) unstable; urgency=low

  * Fix to compile on hppa for gcc-3.0 by including ctype where necessary, Closes: #124338

 -- Daniel Glassey <wdg@debian.org>  Mon, 17 Dec 2001 18:36:56 +0000

gnomesword (0.5.2c-2) unstable; urgency=low

  * Build-Depend on sword >= 1.5.2-4, Closes: #123419
  * Depend on libsword >= 1.5.2-4 (change in libsword1's shlibs), Closes: #123418

 -- Daniel Glassey <wdg@debian.org>  Tue, 11 Dec 2001 22:41:20 +0000

gnomesword (0.5.2c-1) unstable; urgency=low

  * New upstream release
  * Use config.sub and config.guess from /usr/share/misc, Closes: #120111
  * Compiling against newer gnome libs, Closes: #119167
  * Compile problem fixed upstream, Closes: #121382
  * Enabling spell support, Closes: #117790
  * initial manpage

 -- Daniel Glassey <wdg@debian.org>  Fri, 30 Nov 2001 19:21:13 +0000

gnomesword (0.5.2a-1) unstable; urgency=low

  * New upstream release, Closes: #116026
  * Removed build dependency on autoconf, automake
  * Base sword modules now available, Closes: #93039

 -- Daniel Glassey <wdg@debian.org>  Tue, 23 Oct 2001 23:42:56 +0100

gnomesword (0.5.1a-1.1) unstable; urgency=low

  * Non-maintainer upload
  * Recompiled with updated libgal (libgal11)

 -- Norbert Veber <nveber@pyre.virge.net>  Fri, 31 Aug 2001 23:45:19 -0400

gnomesword (0.5.1a-1) unstable; urgency=low

  * New upstream release

 -- Daniel Glassey <wdg@debian.org>  Mon, 27 Aug 2001 11:50:00 +0000

gnomesword (0.4.1-1) unstable; urgency=low

  * New upstream release

 -- Daniel Glassey <wdg@debian.org>  Thu, 14 Jun 2001 20:06:04 +0000

gnomesword (0.3.7c-3) unstable; urgency=low

  * Add build dependency on libgdk-pixbuf-dev (temporarily) Closes: #87360
  * Change email to wdg@debian.org
  * Add dependency on text, dict and comm to avoid segfault, Closes: #83994
  * Upload text, dict and comm, Closes: #83869
  * recompile with newer gnome libs since libgnomeui33 was removed, Closes: #86517

 -- Daniel Glassey <wdg@debian.org>  Wed, 28 Feb 2001 23:52:44 +0000

gnomesword (0.3.7c-2) unstable; urgency=low

  * Standards 3.2.1 then
  * Added provides, recommends and build-depends

 -- Daniel Glassey <danglassey@yahoo.com>  Mon, 22 Jan 2001 22:26:03 +0000

gnomesword (0.3.7c-1) unstable; urgency=low

  * New upstream release
  * up standards version to 3.2.0

 -- Daniel Glassey <danglassey@yahoo.com>  Sat, 13 Jan 2001 17:20:53 +0000

gnomesword (0.3.2-1) unstable; urgency=low

  * New upstream release

 -- Daniel Glassey <danglassey@yahoo.com>  Thu, 23 Nov 2000 20:52:21 +0000

gnomesword (0.2.3-1) unstable; urgency=low

  * Initial Release.

 -- Daniel Glassey <danglassey@yahoo.com>  Wed,  6 Sep 2000 23:35:41 +0100
